com.io7m.r2.core.debug

## Class R2DebugLineSegmentsBatch

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugLineSegmentsBatch

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType

      public final class R2DebugLineSegmentsBatch
      extends Object
      implements R2DeletableType

  A batcher for line segments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `R2DebugLineSegmentsBatch(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)` Construct a new empty batch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLArrayObjectUsableType` | `arrayObject()`
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)` Delete the current object.
    `boolean` | `isDeleted()`
    `void` | `setLineSegments(List<R2DebugLineSegment> segments)` Set the line segments and create any necessary batches on the GPU.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### R2DebugLineSegmentsBatch

          public R2DebugLineSegmentsBatch(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g)

      Construct a new empty batch.
      Parameters:
        `in_g` - A GL interface

  - ### Method Detail

    - #### arrayObject

          public com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject()

      Returns:
        The usable array object for the batch

    - #### setLineSegments

          public void setLineSegments(List<R2DebugLineSegment> segments)

      Set the line segments and create any necessary batches on the GPU.
      Parameters:
        `segments` - The line segments

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `g` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2017 <code@io7m.com> http://io7m.com